> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sphyre.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /api/wallet/:did/credentials

> List credentials stored in a holder wallet

```http theme={null}
GET /api/wallet/did:alyra:z6Mkf.../credentials HTTP/1.1
Authorization: Bearer <jwt>
X-User-DID: did:alyra:z6Mkf...
```

## Path Parameters

| Parameter | Type   | Description                                                                |
| --------- | ------ | -------------------------------------------------------------------------- |
| `did`     | string | Holder DID. The backend normalizes compatible DID formats before querying. |

## Response

`200 OK`

```json theme={null}
{
  "success": true,
  "data": [
    {
      "id": "aly:uuid",
      "issuer_did": "did:alyra:issuer...",
      "issuer_name": "Issuer example",
      "credential_type": "NationalID",
      "credential_preview": {
        "full_name": "Alice Smith"
      },
      "credential_data": {
        "full_name": "Alice Smith"
      },
      "ipfs_hash": "Qm...",
      "status": "active",
      "signature_type": "bbs+",
      "evidence_attachments": [],
      "extensions": []
    }
  ],
  "count": 1,
  "query_did": "did:alyra:z6Mkf..."
}
```

Related wallet routes include `GET /api/wallet/:did/activities`, `GET /api/wallet/:did/presentations`, `POST /api/wallet/:did/credentials/share`, and `POST /api/wallet/:did/credentials/:credential_id/anonymous-proof`.
